package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源策略步骤对象 adm_op_energy_strategy_step
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class OpEnergyStrategyStep
{
    /** 序号 */
    private Long id;

    /** 策略代码 */
    private String strategyCode;

    /** 步骤代码 */
    private String stepCode;

    /** 步骤名称 */
    private String stepName;

    /** 步骤顺序 */
    private Long stepIndex;

    /** 步骤处理 */
    private String stepHandler;

    /** 步骤参数 */
    private String stepParam;

    /** 目标设施 */
    private String targetFacs;

    /** 目标设备 */
    private String targetDevice;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setStrategyCode(String strategyCode) 
    {
        this.strategyCode = strategyCode;
    }

    public String getStrategyCode() 
    {
        return strategyCode;
    }
    public void setStepCode(String stepCode) 
    {
        this.stepCode = stepCode;
    }

    public String getStepCode() 
    {
        return stepCode;
    }
    public void setStepName(String stepName) 
    {
        this.stepName = stepName;
    }

    public String getStepName() 
    {
        return stepName;
    }
    public void setStepIndex(Long stepIndex) 
    {
        this.stepIndex = stepIndex;
    }

    public Long getStepIndex() 
    {
        return stepIndex;
    }
    public void setStepHandler(String stepHandler) 
    {
        this.stepHandler = stepHandler;
    }

    public String getStepHandler() 
    {
        return stepHandler;
    }
    public void setStepParam(String stepParam) 
    {
        this.stepParam = stepParam;
    }

    public String getStepParam() 
    {
        return stepParam;
    }
    public void setTargetFacs(String targetFacs) 
    {
        this.targetFacs = targetFacs;
    }

    public String getTargetFacs() 
    {
        return targetFacs;
    }
    public void setTargetDevice(String targetDevice) 
    {
        this.targetDevice = targetDevice;
    }

    public String getTargetDevice() 
    {
        return targetDevice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyCode", getStrategyCode())
            .append("stepCode", getStepCode())
            .append("stepName", getStepName())
            .append("stepIndex", getStepIndex())
            .append("stepHandler", getStepHandler())
            .append("stepParam", getStepParam())
            .append("targetFacs", getTargetFacs())
            .append("targetDevice", getTargetDevice())
            .toString();
    }
}
